View Issue Details

IDProjectCategoryView StatusLast Update
0002385Industrial-Craft²general / otherpublic2018-06-29 20:34
ReporterQuantumStatementAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002385: Compressor recipe for fluids don't work
DescriptionCompressor recipe turning water into snow don't work
Fluid:water = minecraft:snow

Adding a similar custom recipe (for example Fluid:ic2pahoehoe_lava = ic2:resource) causes game crash on post-init stage
Additional InformationIC2 version 2.8.85
TagsNo tags attached.
Minecraft Version1.12.2

Relationships

related to 0002393 resolvedChocohead Duplication of Universal Fluid Cells. 

Activities

QuantumStatement

2018-06-15 11:05

reporter  

crash-2018-06-15_14.04.08-client.txt (5,725 bytes)
---- Minecraft Crash Report ----
// This is a token for 1 free hug. Redeem at your nearest Mojangsta: [~~HUG~~]

Time: 6/15/18 2:04 PM
Description: There was a severe problem during mod loading that has caused the game to fail

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (ic2)
Caused by: ic2.core.util.Config$ParseException: Conflicting recipe at line 141 (Fluid:ic2pahoehoe_lava = ic2:resource).
	at ic2.core.init.Rezepte.loadMachineRecipe(Rezepte.java:556)
	at ic2.core.init.Rezepte.loadMachineRecipes(Rezepte.java:473)
	at ic2.core.init.Rezepte.loadRecipes(Rezepte.java:121)
	at ic2.core.init.Rezepte.registerRecipes(Rezepte.java:740)
	at ic2.core.IC2.init(IC2.java:313)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:627)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:218)
	at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:196)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:135)
	at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:744)
	at net.minecraftforge.fml.client.FMLClientHandler.finishMinecraftLoading(FMLClientHandler.java:329)
	at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:534)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:377)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_171, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 177207144 bytes (168 MB) / 563851264 bytes (537 MB) up to 3207856128 bytes (3059 MB)
	JVM Flags: 3 total; -Xmn128M -Xmx3072M -XX:+UseConcMarkSweepGC
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP 9.42 Powered by Forge 14.23.4.2707 5 mods loaded, 5 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

	| State | ID        | Version      | Source                             | Signature                                |
	|:----- |:--------- |:------------ |:---------------------------------- |:---------------------------------------- |
	| UCHI  | minecraft | 1.12.2       | minecraft.jar                      | None                                     |
	| UCHI  | mcp       | 9.42         | minecraft.jar                      | None                                     |
	| UCHI  | FML       | 8.0.99.99    | forge-1.12.2-14.23.4.2707.jar      | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHI  | forge     | 14.23.4.2707 | forge-1.12.2-14.23.4.2707.jar      | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHEE | ic2       | 2.8.85-ex112 | industrialcraft-2-2.8.85-ex112.jar | de041f9f6187debbc77034a344134053277aa3b0 |

	Loaded coremods (and transformers): 
	GL info: ' Vendor: 'ATI Technologies Inc.' Version: '4.5.13417 Compatibility Profile Context 15.301.1901.0' Renderer: 'AMD Radeon HD 7600M Series'

Chocohead

2018-06-16 13:27

developer   ~0005708

Fixed in IC2 2.8.86.

The crash is harder to fix (for the compressor) as the matching logic is lazy with regards to NBT. If you put it above the line for the empty fluid cell -> fluid cell with air it should work.

QuantumStatement

2018-06-17 04:10

reporter   ~0005711

It's working, but now compressor dupes non-empty universal fluid cells

Chocohead

2018-06-18 22:05

developer   ~0005717

That should also be fixed in IC2 2.8.88, it might fix the crash too without having to move the lines around.

Issue History

Date Modified Username Field Change
2018-06-15 11:05 QuantumStatement New Issue
2018-06-15 11:05 QuantumStatement File Added: crash-2018-06-15_14.04.08-client.txt
2018-06-16 13:27 Chocohead Assigned To => Chocohead
2018-06-16 13:27 Chocohead Status new => resolved
2018-06-16 13:27 Chocohead Resolution open => fixed
2018-06-16 13:27 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-06-16 13:27 Chocohead Note Added: 0005708
2018-06-17 04:10 QuantumStatement Note Added: 0005711
2018-06-18 22:05 Chocohead Note Added: 0005717
2018-06-29 20:34 Chocohead Relationship added related to 0002393